Package | Class | Tree | Deprecated | Index | Help
| JMS 1.1 - April 12, 2002
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Interface QueueReceiver

All Superinterfaces:
  MessageConsumer

public interface QueueReceiver
extends MessageConsumer

A client uses a `QueueReceiver` object to receive messages that have been delivered to a queue.

Although it is possible to have multiple `QueueReceiver`s for the same queue, the JMS API does not define how messages are distributed between the `QueueReceiver`s.

If a `QueueReceiver` specifies a message selector, the messages that are not selected remain on the queue. By definition, a message selector allows a `QueueReceiver` to skip messages. This means that when the skipped messages are eventually read, the total ordering of the reads does not retain the partial order defined by each message producer. Only `QueueReceiver`s without a message selector will read messages in message producer order.

Creating a `MessageConsumer` provides the same features as creating a `QueueReceiver`. A `MessageConsumer` object is recommended for creating new code. The `QueueReceiver` is provided to support existing code.

Version:
  1.1 February 2, 2002
Author:
  Mark Hapner, Rich Burridge, Kate Stout
See Also:
  `Session.createConsumer(Destination, String)`, `Session.createConsumer(Destination)`, `QueueSession.createReceiver(Queue, String)`, `QueueSession.createReceiver(Queue)`, `MessageConsumer`

Method Summary
`Queue` | `getQueue()` Gets the `Queue` associated with this queue receiver.

Methods inherited from interface javax.jms.MessageConsumer
`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setMessageListener`

Method Detail

### getQueue

    public Queue getQueue()
                   throws JMSException

  Gets the `Queue` associated with this queue receiver.
  Returns:
    this receiver's `Queue`
  Throws:
    `JMSException` - if the JMS provider fails to get the queue for this queue receiver due to some internal error.

Package | Class | Tree | Deprecated | Index | Help
| JMS 1.1 - April 12, 2002
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JMS 1.1 - April 12, 2002